# Sample user interface for the ConnectFour game.

import connect_four

def print_grid(grid):
    '''
    Prints a text view of the grid with column numbers
    at the top.
    '''
    print(" ".join([str(i) for i in range(len(grid[0]))]))
    for s in grid:
        print(" ".join(s))


def get_move(game):
    '''
    Prints the grid for the given game and gets next move from the current player.
    '''
    grid = game.get_grid()
    player = game.whose_turn()
    print()
    print_grid(grid)
    print()
    print("It is player " + str(player) + "'s turn.")
    col = int(input("Select a column number: "))
    return col

    
def play_game():
    '''
    Plays a new Connect Four game.
    '''
    game = connect_four.ConnectFour(6, 7, 4)
    while not game.is_over():
        col = get_move(game)
        row = game.play(col)
        print("row " + str(row))
        
    print()
    print("You won!")
    print()
    print_grid(game.get_grid())
    print()


# Make this module runnable
if __name__ == "__main__":       
    play_game()